using System;

namespace ConsoleApp62
{
    class Program
    {
        static void Main(string[] args)
        {
            string e = Console.ReadLine();
            string[] e1 = e.Split(' ');
            int N = int.Parse(e1[0]);
            int M = int.Parse(e1[1]);

            string linija1;
            string[] linijaSplit1;
            int[,] vage = new int[N, 2];

            for (int i = 0; i < N; i++)
            {
                linija1 = Console.ReadLine();
                linijaSplit1 = linija1.Split(' ');
                vage[i, 0] = int.Parse(linijaSplit1[0]);
                vage[i, 1] = int.Parse(linijaSplit1[1]);
            }







                string linija;
            string[] linijaSplit;
            int[,] matrica = new int[M, 3];

            for (int i = 0; i < M; i++)
            {
                linija = Console.ReadLine();
                linijaSplit = linija.Split(' ');
                matrica[i, 0] = int.Parse(linijaSplit[0])-1;
                matrica[i, 1] = int.Parse(linijaSplit[1])-1;
                matrica[i, 2] = int.Parse(linijaSplit[2]);

            }
            int brojac = 0;

            int jeste = 0;


            for (int i = 0; i < M; i++)
            {


                for (int j = matrica[i,0]; j <= matrica[i,1]; j++)
                {
                    if(matrica[i,2]>=vage[j,0]&& matrica[i, 2] <= vage[j, 1])
                    {
                        jeste++;
                       
                        
                    }
                    



                    
                }
                Console.WriteLine(jeste);
                jeste = 0;



            }



        }
    }
}